Type to search.

List conversations

Base URL
https://{kibana_url}
  • GET /api/agent_builder/conversations
  • GET /s/{space_id}/api/agent_builder/conversations
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

List all conversations for a user. Use the optional agent ID to filter conversations by a specific agent. To learn more about agent conversations, refer to the agent chat documentation.

Required privileges

Privileges agentBuilder:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

agent_id string · max length: 64

Optional agent ID to filter conversations by a specific agent.

page number · min: 1 · default: 1

Page number, 1-based.

per_page number · min: 1 · max: 1000 · default: 1000

Number of results per page. Maximum 1000.

sort_order enum · default: desc

Sort direction for results, ordered by updated_at.

Values: asc desc
pinned boolean

Filter to pinned (true) or unpinned (false) conversations. Omit to return all.

Response

200

Indicates a successful response

application/json